<?xml version="1.0"?>
<!-- 
    注意: 除了手动编辑此文件以外，您还可以使用 
    Web 管理工具来配置应用程序的设置。可以使用 Visual Studio 中的
     “网站”->“Asp.Net 配置”选项。
    设置和注释的完整列表在 
    machine.config.comments 中，该文件通常位于 
    \Windows\Microsoft.Net\Framework\v2.x\Config 中
-->
<configuration>
  <configSections>
    <section name="rewriter" type="Intelligencia.UrlRewriter.Configuration.RewriterConfigurationSectionHandler, Intelligencia.UrlRewriter"/>
  </configSections>
	<appSettings>
    <add key="DATA" value="SQL"/>
    <add key="SQL" value="Provider=SQLOLEDB;server=(local);database=aoshuosql; User Id=sa; pwd="/>
		<add key="ACCESS" value="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|data.mdb"/>
		<add key="FCKeditor:BasePath" value="~/FCKeditor/"/>
		<add key="FCKeditor:UserFilesPath" value="~/UpFile"/>    
	</appSettings>  
	<connectionStrings/>
	<system.web>
		<customErrors mode="Off"/>
    <sessionState mode="InProc" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;Trusted_Connection=yes" cookieless="false" timeout="1000"/>
    <httpModules>
      <add type="Intelligencia.UrlRewriter.RewriterHttpModule, Intelligencia.UrlRewriter" name="UrlRewriter"/>
    </httpModules>
    <!-- 
    
            设置 compilation debug="true" 将调试符号插入
            已编译的页面中。但由于这会 
            影响性能，因此只在开发过程中将此值 
            设置为 true。
        -->
    <compilation debug="false">
       <assemblies>
          <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
       </assemblies>
    </compilation>
    <!--
            通过 <authentication> 节可以配置 ASP.NET 使用的 
            安全身份验证模式，
            以标识传入的用户。 
        -->
		<authentication mode="Windows"/>
		<!--
            如果在执行请求的过程中出现未处理的错误，
            则通过 <customErrors> 节可以配置相应的处理步骤。具体说来，
            开发人员通过该节可以配置
            要显示的 html 错误页
            以代替错误堆栈跟踪。

        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm" />
            <error statusCode="404" redirect="FileNotFound.htm" />
        </customErrors>
        -->
		<pages validateRequest="false" enableSessionState="true" enableViewState="true"></pages>
    <httpRuntime useFullyQualifiedRedirectUrl="true" maxRequestLength="2097151" executionTimeout="30000" />
	</system.web>
  <rewriter>
    <rewrite url="~/news-(.*).aspx" to="~/news.aspx?id=$1" />
    <rewrite url="~/newssort-(.*).aspx" to="~/news.aspx?sortid=$1" />
    <rewrite url="~/newspage-(.*).aspx" to="~/news.aspx?page=$1" />
    <rewrite url="~/product-(.*).aspx" to="~/product.aspx?id=$1" />
    <rewrite url="~/placard-(.*).aspx" to="~/placard.aspx?id=$1" />
    <rewrite url="~/productsort-(.*).aspx" to="~/product.aspx?sortid=$1" />
    <rewrite url="~/productpage-(.*).aspx" to="~/product.aspx?page=$1" />
    <rewrite url="~/down-(.*).aspx" to="~/down.aspx?id=$1" />
    <rewrite url="~/downsort-(.*).aspx" to="~/down.aspx?sortid=$1" />
    <rewrite url="~/downpage-(.*).aspx" to="~/down.aspx?page=$1" />
    <rewrite url="~/job-(.*).aspx" to="~/job.aspx?id=$1" />
    <rewrite url="~/jobsort-(.*).aspx" to="~/job.aspx?sortid=$1" />
    <rewrite url="~/jobpage-(.*).aspx" to="~/job.aspx?page=$1" />
    <rewrite url="~/leavewordpage-(.*).aspx" to="~/leaveword.aspx?page=$1" />
    <rewrite url="~/share-(.*).aspx" to="~/share.aspx?page=$1" />
    <rewrite url="~/searchpage-(.*).aspx" to="~/search.aspx?page=$1" />
  </rewriter>
</configuration>
